Bug 735589 - [abrt] libnotify-0.7.3-1.fc15: g_atomic_int_add: Process /usr/bin/notify-send was killed by signal 11 (SIGSEGV)
Summary: [abrt] libnotify-0.7.3-1.fc15: g_atomic_int_add: Process /usr/bin/notify-send...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libnotify
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2fbce35dafbdb40935ae7119601...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 17:02 UTC by Roel van de Kraats
Modified: 2013-03-06 04:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:55:26 UTC


Attachments (Terms of Use)

Description Roel van de Kraats 2011-09-03 17:02:11 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/notify-send 'From: \"Plaxo\" <plaxo@mx.plaxo.com>' 'Subject: Your Weekly Address Book Updates from Plaxo - 9/2/2011' -i /usr/share/icons/gnome/32x32/status/mail-unread.png -c email.arrived -t 5000 -u normal
comment:        Thunderbird 'FireTray' add-on notification. Crash occurred immediately at resume from suspend-to-ram.
component:      libnotify
crash_function: g_atomic_int_add
executable:     /usr/bin/notify-send
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libnotify-0.7.3-1.fc15
reason:         Process /usr/bin/notify-send was killed by signal 11 (SIGSEGV)
time:           Sat Sep  3 18:48:27 2011
uid:            578
username:       roel

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/90/db6a215799aa16cd412c62933257f41cbf50ab
:[New LWP 22131]
:[New LWP 22134]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/notify-send From: "Plaxo" <plaxo@mx.plaxo.com> Subject: Your Weekly Ad'.
:Program terminated with signal 11, Segmentation fault.
:#0  g_atomic_int_add (atomic=0x0, val=1) at gatomic-gcc.c:36
:36	  __sync_fetch_and_add (atomic, val);
:
:Thread 2 (Thread 0x7f6827f71700 (LWP 22134)):
:#0  0x0000003c84cd7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003c86842d24 in g_main_context_poll (n_fds=1, fds=0x7f6820001e00, priority=<optimized out>, timeout=-1, context=0x2095be0) at gmain.c:3405
:        poll_func = 0x3c86851310 <g_poll>
:#2  g_main_context_iterate (context=0x2095be0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7f6820001e00
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003c8684360d in g_main_loop_run (loop=0x2095bc0) at gmain.c:3300
:        self = 0x2095cd0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000003c880b4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x0000003c868683a6 in g_thread_create_proxy (data=0x2095cd0) at gthread.c:1955
:        thread = 0x2095cd0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003c85007b31 in start_thread (arg=0x7f6827f71700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f6827f71700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -3375065315598917082, 140734844512896, 140085323831744, 0, 3, 3456816265880674854, -3364098784171777498}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003c84cdfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f6827f727c0 (LWP 22131)):
:#0  g_atomic_int_add (atomic=0x0, val=1) at gatomic-gcc.c:36
:No locals.
:#1  0x0000003c880b4eb0 in _g_dbus_worker_ref (worker=0x0) at gdbusprivate.c:462
:No locals.
:#2  _g_dbus_worker_send_message (worker=0x0, message=0x7f6820004280 [GDBusMessage], blob=0x2097490 "l\001", blob_len=192) at gdbusprivate.c:1376
:        data = 0x209a1c0
:        __PRETTY_FUNCTION__ = "_g_dbus_worker_send_message"
:#3  0x0000003c880a3180 in g_dbus_connection_send_message_unlocked (connection=<optimized out>, message=0x7f6820004280 [GDBusMessage], flags=<optimized out>, out_serial=0x209a3b8, error=<optimized out>) at gdbusconnection.c:1459
:        blob = 0x2097490 "l\001"
:        blob_size = 192
:        serial_to_use = <optimized out>
:        ret = 0
:        __PRETTY_FUNCTION__ = "g_dbus_connection_send_message_unlocked"
:#4  0x0000003c880a4c6b in g_dbus_connection_send_message_with_reply_unlocked (user_data=0x209a3a0, callback=0x3c880a73f0 <g_dbus_connection_call_done>, cancellable=0x0, out_serial=0x209a3b8, timeout_msec=25000, flags=G_DBUS_SEND_MESSAGE_FLAGS_NONE, message=0x7f6820004280 [GDBusMessage], connection=0x208d020 [GDBusConnection]) at gdbusconnection.c:1745
:        simple = 0x2091d20 [GSimpleAsyncResult]
:        data = 0x0
:        serial = 0
:        error = 0x0
:#5  g_dbus_connection_send_message_with_reply (connection=0x208d020 [GDBusConnection], message=0x7f6820004280 [GDBusMessage], flags=G_DBUS_SEND_MESSAGE_FLAGS_NONE, timeout_msec=<optimized out>, out_serial=<optimized out>, cancellable=0x0, callback=0x3c880a73f0 <g_dbus_connection_call_done>, user_data=0x209a3a0) at gdbusconnection.c:1854
:        __PRETTY_FUNCTION__ = "g_dbus_connection_send_message_with_reply"
:#6  0x0000003c880a50b9 in g_dbus_connection_call (connection=0x208d020 [GDBusConnection], bus_name=0x3c880e85d0 "org.freedesktop.DBus", object_path=0x3c880e85e5 "/org/freedesktop/DBus", interface_name=0x3c880e85d0 "org.freedesktop.DBus", method_name=0x3c880f1e2f "StartServiceByName", parameters=0x7f6820006260, reply_type=<optimized out>, flags=G_DBUS_CALL_FLAGS_NONE, timeout_msec=-1, cancellable=0x0, callback=0x3c880b1d90 <async_init_start_service_by_name_cb>, user_data=0x2098e70) at gdbusconnection.c:5137
:        message = 0x7f6820004280 [GDBusMessage]
:        state = 0x209a3a0
:        __PRETTY_FUNCTION__ = "g_dbus_connection_call"
:#7  0x0000003c880b1b7a in async_init_call_start_service_by_name (data=0x2098e70) at gdbusproxy.c:1275
:No locals.
:#8  async_initable_init_second_async (initable=<optimized out>, io_priority=<optimized out>, cancellable=0x0, callback=<optimized out>, user_data=0x2098d00) at gdbusproxy.c:1328
:        proxy = <optimized out>
:        data = 0x2098e70
:#9  0x0000003c880b2465 in initable_init (initable=0x208a090, cancellable=0x0, error=0x0) at gdbusproxy.c:1579
:        proxy = 0x208a090 [GDBusProxy]
:        data = 0x2098d00
:        ret = 0
:        __PRETTY_FUNCTION__ = "initable_init"
:#10 0x0000003c8805385f in g_initable_new_valist (object_type=<optimized out>, first_property_name=0x3c880f2641 "g-flags", var_args=0x7fff626a2e38, cancellable=0x0, error=0x0) at ginitable.c:219
:        obj = 0x208a090 [GDBusProxy]
:        __PRETTY_FUNCTION__ = "g_initable_new_valist"
:#11 0x0000003c88053949 in g_initable_new (object_type=<optimized out>, cancellable=<optimized out>, error=<optimized out>, first_property_name=<optimized out>) at ginitable.c:139
:        object = 0x209a1c0
:        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fff626a2f60, reg_save_area = 0x7fff626a2e50}}
:#12 0x0000003c880b3905 in g_dbus_proxy_new_for_bus_sync (bus_type=G_BUS_TYPE_SESSION, flags=G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES, info=0x0, name=0x3c99404d2d "org.freedesktop.Notifications", object_path=0x3c99404dc0 "/org/freedesktop/Notifications", interface_name=0x3c99404d2d "org.freedesktop.Notifications", cancellable=0x0, error=0x0) at gdbusproxy.c:1882
:        initable = <optimized out>
:        __PRETTY_FUNCTION__ = "g_dbus_proxy_new_for_bus_sync"
:#13 0x0000003c99402a1f in _notify_get_proxy (error=0x0) at notify.c:243
:No locals.
:#14 0x0000003c994034cd in notify_notification_finalize (object=0x207b2c0 [NotifyNotification]) at notification.c:395
:        obj = 0x207b2c0 [NotifyNotification]
:        priv = 0x20810d0
:        proxy = <optimized out>
:#15 0x0000003c8780f6c1 in g_object_unref (_object=0x207b2c0) at gobject.c:2734
:        object = 0x207b2c0 [NotifyNotification]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#16 0x0000000000401527 in main (argc=1, argv=0x7fff626a3178) at notify-send.c:271
:        summary = 0x20840d0 "From: \"Plaxo\" <plaxo@mx.plaxo.com>"
:        body = <optimized out>
:        type = 0x20842d0 "email.arrived"
:        icon_str = 0x2084220 "/usr/share/icons/gnome/32x32/status/mail-unread.png"
:        icons = 0x2084220 "/usr/share/icons/gnome/32x32/status/mail-unread.png"
:        n_text = 0x2084130
:        hints = 0x0
:        do_version = 0
:        hint_error = 0
:        expire_timeout = -4294962296
:        opt_ctx = <optimized out>
:        notify = 0x207b2c0 [NotifyNotification]
:        error = 0x0
:        retval = <optimized out>
:        entries = {{long_name = 0x401943 "urgency", short_name = 117 'u', flags = 0, arg = G_OPTION_ARG_CALLBACK, arg_data = 0x401700, description = 0x401b08 "Specifies the urgency level (low, normal, critical).", arg_description = 0x40194b "LEVEL"}, {long_name = 0x401951 "expire-time", short_name = 116 't', flags = 0, arg = G_OPTION_ARG_INT, arg_data = 0x6023c0, description = 0x401b40 "Specifies the timeout in milliseconds at which to expire the notification.", arg_description = 0x40195d "TIME"}, {long_name = 0x401962 "icon", short_name = 105 'i', flags = 0, arg = G_OPTION_ARG_FILENAME, arg_data = 0x602400, description = 0x401b90 "Specifies an icon filename or stock icon to display.", arg_description = 0x401967 "ICON[,ICON...]"}, {long_name = 0x401976 "category", short_name = 99 'c', flags = 0, arg = G_OPTION_ARG_FILENAME, arg_data = 0x602410, description = 0x401bc8 "Specifies the notification category.", arg_description = 0x40197f "TYPE[,TYPE...]"}, {long_name = 0x40198e "hint", short_name = 104 'h', flags = 0, arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x602418, description = 0x401bf0 "Specifies basic extra data to pass. Valid types are int, double, string and byte.", arg_description = 0x401993 "TYPE:NAME:VALUE"}, {long_name = 0x4019a3 "version", short_name = 118 'v', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6023e8, description = 0x4019ab "Version of the package.", arg_description = 0x0}, {long_name = 0x4018f0 "", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x6023f0, description = 0x0, arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:From                To                  Syms Read   Shared Object Library
:0x0000003c99402750  0x0000003c99404cec  Yes         /usr/lib64/libnotify.so.4.0.0
:0x0000003c8c006290  0x0000003c8c019c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003c89c04890  0x0000003c89c1eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x0000003c85403ea0  0x0000003c85443e9c  Yes         /lib64/libm-2.14.so
:0x0000003c880294a0  0x0000003c880d2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003c87809970  0x0000003c87839dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003c87c00fe0  0x0000003c87c01f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003c87001560  0x0000003c87002a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003c85c02160  0x0000003c85c053ec  Yes         /lib64/librt-2.14.so
:0x0000003c86816cd0  0x0000003c868adbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x0000003c85005660  0x0000003c850103cc  Yes         /lib64/libpthread-2.14.so
:0x0000003c84c1ece0  0x0000003c84d4338c  Yes         /lib64/libc-2.14.so
:0x0000003c86401e70  0x0000003c8640e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003c85800de0  0x0000003c8580191c  Yes         /lib64/libdl-2.14.so
:0x0000003c87403840  0x0000003c8741353c  Yes         /lib64/libresolv-2.14.so
:0x0000003c86c05980  0x0000003c86c159dc  Yes         /lib64/libselinux.so.1
:0x0000003c84800b20  0x0000003c84818cca  Yes         /lib64/ld-2.14.so
:$1 = 0x0
:$2 = 0x0
:rax            0x209a1c0	34185664
:rbx            0x0	0
:rcx            0x3c84f951f8	259928969720
:rdx            0x38	56
:rsi            0x1	1
:rdi            0x0	0
:rbp            0x7f6820004280	0x7f6820004280
:rsp            0x7fff626a2c18	0x7fff626a2c18
:r8             0x2	2
:r9             0x5673	22131
:r10            0x1	1
:r11            0x0	0
:r12            0x2097490	34174096
:r13            0x209a1c0	34185664
:r14            0xc0	192
:r15            0x0	0
:rip            0x3c86819450	0x3c86819450 <g_atomic_int_add>
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function g_atomic_int_add:
:=> 0x0000003c86819450 <+0>:	lock add %esi,(%rdi)
:   0x0000003c86819453 <+3>:	retq   
:End of assembler dump.

dso_list:
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309773150
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311145668
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309774068
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1309774073
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/usr/bin/notify-send libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1309774073
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309773150
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313172452
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309773150
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309773150
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309773150

environ:
:XSUNTRANSPORT=shmem
:SSH_AGENT_PID=1656
:XDG_SESSION_ID=1
:HOSTNAME=nlutc1-l0017
:FROGIDL_HOME=/home/roel/develop/frogidl
:FROG_SCOPE=roel
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/tmp/gpg-FTtnsq/S.gpg-agent:1680:1
:SHELL=/bin/bash
:TERM=dumb
:XDG_MENU_PREFIX=xfce-
:XDG_SESSION_COOKIE=54741af6dab559b9cd9ee2e30000000d-1313959738.935595-1017074305
:HISTSIZE=1000
:GRADLE_HOME=/usr/java/gradle
:FNS_MAKE_JOBS=4
:GNOME_KEYRING_CONTROL=/tmp/keyring-auGsdV
:FNS_DISABLE_FAST_SYSTEM_DATE=1
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird-5.0
:ANT_HOME=/usr/java/apache-ant
:'IMSETTINGS_MODULE=X compose table'
:FROG_HOME=/home/roel/develop/jfrog/Frog
:USER=roel
:SVN_EDITOR=vi
:LD_LIBRARY_PATH=/usr/lib64/thunderbird-5.0:/usr/lib64/thunderbird-5.0/plugins:/usr/lib64/thunderbird-5.0
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-MWDnfe1580/agent.1580
:LIBPATH=/usr/lib64/thunderbird-5.0:/usr/lib64/thunderbird-5.0
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1691,unix/unix:/tmp/.ICE-unix/1691
:USERNAME=roel
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/java/jdk/bin:/usr/java/apache-ant/bin:/usr/java/gradle/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/roel/bin
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/roel
:ACT_HOME=/home/roel/develop/act
:QT_IM_MODULE=xim
:PWD=/home/roel
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/jdk
:GNOME_KEYRING_PID=1572
:LANG=en_US.UTF-8
:FNSPY_HOME=/home/roel/develop/fnspy
:GDM_LANG=
:FNS=/home/roel/FNSnotset
:XSUNSMESIZE=512
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/roel
:SHLVL=2
:'GRADLE_OPTS=-Xmx1024m -Xms256m -XX:MaxPermSize=512m -Dorg.gradle.daemon=false'
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird-5.0:/usr/lib64/thunderbird-5.0
:LOGNAME=roel
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OjZVZz75wv,guid=221657e5ec65feb8e9aeeb1200000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird-5.0:/usr/lib64/thunderbird-5.0
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/roel
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-roel-CNFQ5P/database
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird-5.0/thunderbird
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/roel/.thunderbird/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:ORBIT_SOCKETDIR=/tmp/orbit-roel
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:XRE_IMPORT_PROFILES=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=

maps:
:00400000-00402000 r-xp 00000000 08:07 165562                             /usr/bin/notify-send
:00602000-00604000 rw-p 00002000 08:07 165562                             /usr/bin/notify-send
:0207a000-020bc000 rw-p 00000000 00:00 0                                  [heap]
:3c84800000-3c8481f000 r-xp 00000000 08:07 161752                         /lib64/ld-2.14.so
:3c84a1e000-3c84a1f000 r--p 0001e000 08:07 161752                         /lib64/ld-2.14.so
:3c84a1f000-3c84a20000 rw-p 0001f000 08:07 161752                         /lib64/ld-2.14.so
:3c84a20000-3c84a21000 rw-p 00000000 00:00 0 
:3c84c00000-3c84d8f000 r-xp 00000000 08:07 161771                         /lib64/libc-2.14.so
:3c84d8f000-3c84f8f000 ---p 0018f000 08:07 161771                         /lib64/libc-2.14.so
:3c84f8f000-3c84f93000 r--p 0018f000 08:07 161771                         /lib64/libc-2.14.so
:3c84f93000-3c84f94000 rw-p 00193000 08:07 161771                         /lib64/libc-2.14.so
:3c84f94000-3c84f9a000 rw-p 00000000 00:00 0 
:3c85000000-3c85016000 r-xp 00000000 08:07 165424                         /lib64/libpthread-2.14.so
:3c85016000-3c85215000 ---p 00016000 08:07 165424                         /lib64/libpthread-2.14.so
:3c85215000-3c85216000 r--p 00015000 08:07 165424                         /lib64/libpthread-2.14.so
:3c85216000-3c85217000 rw-p 00016000 08:07 165424                         /lib64/libpthread-2.14.so
:3c85217000-3c8521b000 rw-p 00000000 00:00 0 
:3c85400000-3c85483000 r-xp 00000000 08:07 165337                         /lib64/libm-2.14.so
:3c85483000-3c85682000 ---p 00083000 08:07 165337                         /lib64/libm-2.14.so
:3c85682000-3c85683000 r--p 00082000 08:07 165337                         /lib64/libm-2.14.so
:3c85683000-3c85684000 rw-p 00083000 08:07 165337                         /lib64/libm-2.14.so
:3c85800000-3c85802000 r-xp 00000000 08:07 165752                         /lib64/libdl-2.14.so
:3c85802000-3c85a02000 ---p 00002000 08:07 165752                         /lib64/libdl-2.14.so
:3c85a02000-3c85a03000 r--p 00002000 08:07 165752                         /lib64/libdl-2.14.so
:3c85a03000-3c85a04000 rw-p 00003000 08:07 165752                         /lib64/libdl-2.14.so
:3c85c00000-3c85c07000 r-xp 00000000 08:07 165719                         /lib64/librt-2.14.so
:3c85c07000-3c85e06000 ---p 00007000 08:07 165719                         /lib64/librt-2.14.so
:3c85e06000-3c85e07000 r--p 00006000 08:07 165719                         /lib64/librt-2.14.so
:3c85e07000-3c85e08000 rw-p 00007000 08:07 165719                         /lib64/librt-2.14.so
:3c86400000-3c86416000 r-xp 00000000 08:07 172662                         /lib64/libz.so.1.2.5
:3c86416000-3c86616000 ---p 00016000 08:07 172662                         /lib64/libz.so.1.2.5
:3c86616000-3c86617000 rw-p 00016000 08:07 172662                         /lib64/libz.so.1.2.5
:3c86800000-3c86915000 r-xp 00000000 08:07 172247                         /lib64/libglib-2.0.so.0.2800.8
:3c86915000-3c86b15000 ---p 00115000 08:07 172247                         /lib64/libglib-2.0.so.0.2800.8
:3c86b15000-3c86b16000 rw-p 00115000 08:07 172247                         /lib64/libglib-2.0.so.0.2800.8
:3c86b16000-3c86b17000 rw-p 00000000 00:00 0 
:3c86c00000-3c86c1d000 r-xp 00000000 08:07 168167                         /lib64/libselinux.so.1
:3c86c1d000-3c86e1c000 ---p 0001d000 08:07 168167                         /lib64/libselinux.so.1
:3c86e1c000-3c86e1d000 r--p 0001c000 08:07 168167                         /lib64/libselinux.so.1
:3c86e1d000-3c86e1e000 rw-p 0001d000 08:07 168167                         /lib64/libselinux.so.1
:3c86e1e000-3c86e1f000 rw-p 00000000 00:00 0 
:3c87000000-3c87004000 r-xp 00000000 08:07 172248                         /lib64/libgthread-2.0.so.0.2800.8
:3c87004000-3c87203000 ---p 00004000 08:07 172248                         /lib64/libgthread-2.0.so.0.2800.8
:3c87203000-3c87204000 rw-p 00003000 08:07 172248                         /lib64/libgthread-2.0.so.0.2800.8
:3c87400000-3c87417000 r-xp 00000000 08:07 167954                         /lib64/libresolv-2.14.so
:3c87417000-3c87617000 ---p 00017000 08:07 167954                         /lib64/libresolv-2.14.so
:3c87617000-3c87618000 r--p 00017000 08:07 167954                         /lib64/libresolv-2.14.so
:3c87618000-3c87619000 rw-p 00018000 08:07 167954                         /lib64/libresolv-2.14.so
:3c87619000-3c8761b000 rw-p 00000000 00:00 0 
:3c87800000-3c8784c000 r-xp 00000000 08:07 172249                         /lib64/libgobject-2.0.so.0.2800.8
:3c8784c000-3c87a4b000 ---p 0004c000 08:07 172249                         /lib64/libgobject-2.0.so.0.2800.8
:3c87a4b000-3c87a4d000 rw-p 0004b000 08:07 172249                         /lib64/libgobject-2.0.so.0.2800.8
:3c87a4d000-3c87a4e000 rw-p 00000000 00:00 0 
:3c87c00000-3c87c03000 r-xp 00000000 08:07 172252                         /lib64/libgmodule-2.0.so.0.2800.8
:3c87c03000-3c87e02000 ---p 00003000 08:07 172252                         /lib64/libgmodule-2.0.so.0.2800.8
:3c87e02000-3c87e03000 rw-p 00002000 08:07 172252                         /lib64/libgmodule-2.0.so.0.2800.8
:3c88000000-3c88121000 r-xp 00000000 08:07 172929                         /lib64/libgio-2.0.so.0.2800.8
:3c88121000-3c88320000 ---p 00121000 08:07 172929                         /lib64/libgio-2.0.so.0.2800.8
:3c88320000-3c88326000 rw-p 00120000 08:07 172929                         /lib64/libgio-2.0.so.0.2800.8
:3c88326000-3c88327000 rw-p 00000000 00:00 0 
:3c89c00000-3c89c26000 r-xp 00000000 08:07 173199                         /usr/lib64/libpng12.so.0.46.0
:3c89c26000-3c89e26000 ---p 00026000 08:07 173199                         /usr/lib64/libpng12.so.0.46.0
:3c89e26000-3c89e27000 rw-p 00026000 08:07 173199                         /usr/lib64/libpng12.so.0.46.0
:3c8c000000-3c8c021000 r-xp 00000000 08:07 173217                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3c8c021000-3c8c221000 ---p 00021000 08:07 173217                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3c8c221000-3c8c222000 rw-p 00021000 08:07 173217                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3c99400000-3c99406000 r-xp 00000000 08:07 173309                         /usr/lib64/libnotify.so.4.0.0
:3c99406000-3c99606000 ---p 00006000 08:07 173309                         /usr/lib64/libnotify.so.4.0.0
:3c99606000-3c99607000 rw-p 00006000 08:07 173309                         /usr/lib64/libnotify.so.4.0.0
:7f6820000000-7f6820021000 rw-p 00000000 00:00 0 
:7f6820021000-7f6824000000 ---p 00000000 00:00 0 
:7f6827771000-7f6827772000 ---p 00000000 00:00 0 
:7f6827772000-7f6827f7b000 rw-p 00000000 00:00 0 
:7f6827f94000-7f6827f9b000 r--s 00000000 08:07 168400                     /usr/lib64/gconv/gconv-modules.cache
:7f6827f9b000-7f6827f9c000 rw-p 00000000 00:00 0 
:7fff62685000-7fff626a6000 rw-p 00000000 00:00 0                          [stack]
:7fff626de000-7fff626df000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Sep  3 18:48:26 nlutc1-l0017 kernel: [380388.132218] notify-send[22131]: segfault at 0 ip 0000003c86819450 sp 00007fff626a2c18 error 6 in libglib-2.0.so.0.2800.8[3c86800000+115000]
:Sep  3 18:48:27 nlutc1-l0017 abrt[22135]: saved core dump of pid 22131 (/usr/bin/notify-send) to /var/spool/abrt/ccpp-2011-09-03-18:48:27-22131.new/coredump (9273344 bytes)

Comment 1 abrt-bot 2012-03-30 12:58:35 UTC
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 instead of component libnotify. You might want to inspect the backtrace from the bug listed below to find out the correct component.

Bug #683564 from component mutter was found to be similar to this bug.

This comment is automatically generated.

Comment 2 Fedora End Of Life 2012-08-07 15:55:29 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.